> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an agreement

> Create an agreement



## OpenAPI

````yaml POST /schedule/v1/agreements
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/agreements:
    post:
      tags:
        - Agreements
      summary: Create an agreement
      description: Create an agreement
      operationId: CreateAgreement
      parameters: []
      requestBody:
        description: Data to create an agreement
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Agreement name
                code:
                  type: string
                  description: Agreement code
                color:
                  type: string
                  description: Color of agreement
                annualHours:
                  type: number
                  format: int
                  description: Annual hours
              required:
                - name
                - code
                - color
                - annualHours
      responses:
        '200':
          description: Agreement created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````